# $Revision: 1.12 $, $Date: 2004/04/26 18:59:14 $
Summary:	smtp.proxy is an application level gateway for the SMTP protocol
Summary(pl):	smtp.proxy jest aplikacyjn bramk dla protokou SMTP
Name:		smtpproxy
Version:	1.1.3
Release:	3
License:	GPL
Group:		Applications/Networking
Source0:	http://www.quietsche-entchen.de/download/%{name}-%{version}.tar.gz
# Source0-md5:	c4558c8d379644e5b1fd66c389107a1e
Source1:	%{name}.inetd
Prereq:		rc-inetd >= 0.8.1
URL:		http://www.quietsche-entchen.de/software/smtp.proxy.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	proxytools

%description
smtp.proxy is an application level gateway for the SMTP protocol based
on the specification in RFC 821. It also supports some commands that
came with later RFCs. Unlike generic TCP proxys smtp.proxy looks into
the data streams it forward and watches over the protocol.

%description -l pl
smtp.proxy jest aplikacyjn bramk dla protokou SMTP. W odrnieniu
od innych tego typu programw, smtpproxy nadzoruje transmisj
sprawdzajc czy klient i serwer speniaj specyfikacj protokou (RFC
821).

%prep
%setup -q

%build
%{__make} \
	CC=%{__cc} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1,/etc/sysconfig/rc-inetd}

install smtp.proxy $RPM_BUILD_ROOT%{_sbindir}
install smtp.proxy.1 $RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/smtpproxy


%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun
if [ "$1" = "0" -a -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc README rfc821.txt
%attr(640,root,root) %config %verify(not size mtime md5) /etc/sysconfig/rc-inetd/smtpproxy
%attr(755,root,root) %{_sbindir}/smtp.proxy
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: smtpproxy.spec,v $
Revision 1.12  2004/04/26 18:59:14  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.11  2003/05/28 13:01:55  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:26:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/11/29 22:46:36  ankry
- massive attack: new %%doc

Revision 1.8  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:14:57  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/19 04:13:09  kloczek
- cosmetics.

Revision 1.4  2001/12/13 09:17:59  qboosh
- fixed typos, Conflicts: proxytools

Revision 1.3  2001/12/12 20:03:30  blues
- release 2
- URL added

Revision 1.2  2001/12/03 09:24:02  qboosh
- cosmetics, Prereq: rc-inetd

Revision 1.1  2001/12/03 02:47:07  speedy
- removed proxytools [all in one]
- added ftpproxy, smtpproxy
